﻿$ErrorActionPreference = 'Stop';


$packageName= 'dwarf-fortress'
#$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
#$fileLocation = Join-Path $toolsDir 'NAME_OF_EMBEDDED_ZIP_FILE'

$packageArgs = @{
  packageName   = $packageName
  #unzipLocation = $toolsDir
  url           = 'http://www.bay12games.com/dwarves/df_44_09_win32.zip' # download url, HTTPS preferred
  url64bit      = 'http://www.bay12games.com/dwarves/df_44_09_win.zip' # 64bit URL here (HTTPS preferred) or remove - if installer contains both (very rare), use $url
  #file         = $fileLocation
  #fileFullPath = $fileLocation
  destination   = "C:\opt\df"

  checksum      = '7f9627468a6c6b730841fe17ac3b028e3519437bce7247502739446fabd00b55'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksum64    = 'a88f2e9c6e0801f2c20a8f21cae0e3e2dbf7798f887539e493aea5725f8ee521'
  checksumType64= 'sha256'
}

# https://chocolatey.org/docs/helpers-install-chocolatey-zip-package
Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyShortcut -ShortcutFilePath "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Dwarf Fortress.lnk" `
 -TargetPath "C:\opt\df\Dwarf Fortress.exe" `
 -WorkingDirectory "C:\opt\df"
 
## Unzips a file to the specified location - auto overwrites existing content
## - https://chocolatey.org/docs/helpers-get-chocolatey-unzip
#Get-ChocolateyUnzip @packageArgs